org.springframework.data.domain

## Enum Sort.NullHandling

- java.lang.Object
- - java.lang.Enum<Sort.NullHandling>
  - - org.springframework.data.domain.Sort.NullHandling

All Implemented Interfaces:
  Serializable, Comparable<Sort.NullHandling>

Enclosing class:
  Sort

    public static enum Sort.NullHandling
    extends Enum<Sort.NullHandling>

Enumeration for null handling hints that can be used in `Sort.Order` expressions.

Since:
  1.8
Author:
  Thomas Darimont

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NATIVE` Lets the data store decide what to do with nulls.
`NULLS_FIRST` A hint to the used data store to order entries with null values before non null entries.
`NULLS_LAST` A hint to the used data store to order entries with null values after non null entries.

### Method Summary

All Methods Static Methods Concrete Methods
`static Sort.NullHandling` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Sort.NullHandling[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NATIVE

    public static final Sort.NullHandling NATIVE

Lets the data store decide what to do with nulls.

#### NULLS_FIRST

    public static final Sort.NullHandling NULLS_FIRST

A hint to the used data store to order entries with null values before non null entries.

#### NULLS_LAST

    public static final Sort.NullHandling NULLS_LAST

A hint to the used data store to order entries with null values after non null entries.

### Method Detail

#### values

    public static Sort.NullHandling[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Sort.NullHandling c : Sort.NullHandling.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Sort.NullHandling valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null